Bug 448119 - Fedora 9 won't authenticate against LDAP (fedora-ds)
Fedora 9 won't authenticate against LDAP (fedora-ds)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
: 450217 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 11:41 EDT by Nuno
Modified: 2015-01-14 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ConsoleKit history as requested (34.67 KB, application/octet-stream)
2008-05-31 07:42 EDT, Nuno
no flags Details

  None (edit)
Description Nuno 2008-05-23 11:41:57 EDT
Description of problem:

Fedora 9 with gdm 2.22.x is unable to authenticate against an LDAP server.

How reproducible:

Always

Steps to Reproduce:
1. Configure LDAP using system-config-authentication
2. Reboot
  
Actual results:

GDM does not show the list of available users in LDAP server

Expected results:

GDM should have provided a list of available users in LDAP server, and
authenticate against it.

Additional info:

I'm using the exact same configurations from a working Fedora 8. I suspect this
is because of the new gdm, but I have way to be sure.
Comment 1 Ray Strode [halfline] 2008-05-23 13:33:55 EDT
Hi,

We don't show users from the network by default because the list of users can be
huge and networks can be slow.

If you click "Other..." and type the username you want and then log in, that
user should show up for subsequent runs of the login screen.

Is it working like that for you?
Comment 2 Nuno 2008-05-25 19:43:41 EDT
Hi Ray, thanks for the reply.

I've just confirmed what you said. Even though there isn't a list of users
showing up in gdm, it is possible to login by typing the username and password,
and gdm authenticates using LDAP. However, the user won't show up in subsequent
login screens. Unlike previous Fedora releases, i wasn't able to find a
(graphical) way to configure the "Login Window" and enable user listings.

There appears to be a problem as well when system-config-authentication is
configured to "create home directories on the first login" - immediately after
creation, it is impossible to change any settings related to gnome, eg, add an
applet to panel, change nautilus preferences, etc.
Comment 3 Ray Strode [halfline] 2008-05-25 21:46:36 EDT
Is ConsoleKit running? What's the output of 

ps -ef | grep /usr/sbin/console-kit-daemon

?

How about

ck-history --frequent

?

and

ls -lZ /var/log/ConsoleKit/history

?
Comment 4 Nuno 2008-05-26 05:48:24 EDT
(In reply to comment #3)
> Is ConsoleKit running? What's the output of 
> 
> ps -ef | grep /usr/sbin/console-kit-daemon
> 

[root@www ~]# ps -ef | grep /usr/sbin/console-kit-daemon 
root      1790     1  0 May25 ?        00:00:00 /usr/sbin/console-kit-daemon
root      5899  5859  0 10:34 pts/0    00:00:00 grep /usr/sbin/console-kit-daemon

> 
> How about
> 
> ck-history --frequent
> 

[root@www ~]# ck-history --frequent
gdm      9
root     8
nunogt   2

> 
> and
> 
> ls -lZ /var/log/ConsoleKit/history
> 
[root@www ~]# ls -lZ /var/log/ConsoleKit/history 
-rw-r--r--  root root system_u:object_r:consolekit_log_t:s0
/var/log/ConsoleKit/history

Comment 5 Nuno 2008-05-26 06:03:29 EDT
(In reply to comment #2)
> There appears to be a problem as well when system-config-authentication is
> configured to "create home directories on the first login" - immediately after
> creation, it is impossible to change any settings related to gnome, eg, add an
> applet to panel, change nautilus preferences, etc.

By the way, rebooting and logging in for the second time fixes this problem.
Comment 6 Ray Strode [halfline] 2008-05-28 10:57:47 EDT
so the nunogt user doesn't show up in the user list for you?

and you attach your /var/log/ConsoleKit/history file and the output of

getent passwd nunogt

?
Comment 7 Nuno 2008-05-31 07:42:49 EDT
Created attachment 307269 [details]
ConsoleKit history as requested
Comment 8 Nuno 2008-05-31 07:43:36 EDT
[root@www ~]# getent passwd nunogt
nunogt:*:500:100:Nuno:/home/nunogt:/bin/bash
Comment 9 Nuno 2008-05-31 07:44:22 EDT
And no, the user nunogt doesn't show up in the user list.
Comment 10 Ray Strode [halfline] 2008-06-05 20:53:19 EDT
*** Bug 450217 has been marked as a duplicate of this bug. ***
Comment 11 David Rees 2008-06-05 21:05:09 EDT
Looks like I have the same symptoms as nunogt except that I'm using NIS instead
of LDAP.
Comment 12 Michael J. Chudobiak 2008-10-09 13:04:54 EDT
Same problem here with F9.

gdm does not remember previous logins by NIS users. NIS users are NEVER shown in the greeter list.

The correct behaviour (according to mclasen, http://markmail.org/message/7orafrekd2jkavct ) is that gdm will show NIS users who have logged in before.

- Mike
Comment 13 David Rees 2008-10-09 13:54:02 EDT
There are occasions that NIS users show up for me since my last comment.

Typically upon first boot up, no NIS users will show up.

After logging in, or after a failed login, that NIS user will show up.
Comment 14 Michael J. Chudobiak 2008-11-05 08:39:44 EST
After upgrading to F10-beta from rawhide, recent NIS users now show up in the gdm greeter. It works properly now.

- Mike
Comment 15 Bug Zapper 2009-06-09 21:07:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-07-14 14:01:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.